--- title: "Retrieving IPEN Entries" slug: "retrieving-ipen-entries" updated: 2024-10-10T13:47:12Z published: 2024-10-10T13:47:12Z canonical: "docs.onespan.com/retrieving-ipen-entries" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieving IPEN Entries [Java SDK](/v1/docs/retrieving-ipen-entries#java-sdk) [.NET SDK](/v1/docs/retrieving-ipen-entries#net-sdk) [REST API](/v1/docs/retrieving-ipen-entries#rest-api) ## Java SDK To download the full code sample see our [Code Share](https://github.com/eSignLive/esl.sdk.java/blob/master/sdk/src/main/java/com/silanis/esl/sdk/examples/NotaryJournalExample.java) site. The e-Journal is the equivalent to the paper journal kept by Notaries. It is the official record of the Notarial Acts performed by the Notary and can be viewed online or exported. The majority of the information required to create an e-Journal entry is automatically captured during the e-signature process. e-Journal entries for a particular sender can be retrieved using the OneSpan Sign PackageService, as shown in the following code. You will need the sender user id. ```java sdkJournalEntries = eslClient.getPackageService().getJournalEntries(senderUID); ``` You can also download this report in CSV format, by using the following code: ```java csvJournalEntries = eslClient.getPackageService().getJournalEntriesAsCSV(senderUID); ``` ## .NET SDK To download the full code sample see our [Code Share](https://github.com/eSignLive/esl.sdk.net/blob/master/sdk/SDK.Examples/src/NotaryJournalExample.cs) site. The e-Journal is the equivalent to the paper journal kept by Notaries. It is the official record of the Notarial Acts performed by the Notary and can be viewed online or exported. The majority of the information required to create an e-Journal entry is automatically captured during the e-signature process. e-Journal entries for a particular sender can be retrieved using the OneSpan Sign PackageService, as shown in the following code. You will need the sender user id. ```csharp sdkJournalEntries = eslClient.PackageService.GetJournalEntries(senderUID); ``` You can also download this report in CSV format, by using the following code: ```csharp csvJournalEntries = eslClient.GetPackageService.GetJournalEntriesAsCSV(senderUID); ``` ## REST API To download the full code sample see our [Code Share](https://community.onespan.com/documentation/onespan-sign/codeshare/retrieve-e-notary-journal-entries/) site. The e-Journal is the equivalent to the paper journal kept by Notaries. It is the official record of the Notarial Acts performed by the Notary and can be viewed online or exported. The majority of the information required to create an e-Journal entry is automatically captured during the e-signature process. e-Journal entries for a particular sender can be retrieved by making the following request: #### HTTP Request ```http GET /api/user/{senderUId}/journal ``` #### HTTP Headers ```http Accept: application/json Content-Type: application/json Authorization: Basic api_key ``` You can also retrieve e-Journal entries in CSV format by setting the Accept header to text/csv. ### Results The following is a sample response JSON: ```json {     "results":[        {           "sequenceNumber":1,         "creationDate":"2014-09-24T18:17:41Z",         "documentType":"pdf",         "documentName":"Insurance Application 01",         "signerName":"James France",         "signatureType":"click_to_sign",         "idType":"Driver's Licence",         "idValue":"2302304-123423",         "jurisdiction":"Montana",         "comment":"No Comment"      }   ],   "count":1 } ```